dbshell(1)

NAME
dbshell - HiPerConTracer Database Shell

SYNOPSIS
dbshell database_configuration [-q | - -quiet] [-d | - -dry-run] [-B file_prefix | - -write-dbeaver-config file_prefix]

DESCRIPTION
dbshell is a simple script to start a database shell, based on the settings from a given database configuration file. It is mainly intended to test database access using the configuration files for HPCT Importer and HPCT Query Tool.

ARGUMENTS
The following argument may be provided:

database_configuration
    Sets the name of the database configuration file.

-q | - -quiet
    Quiet mode.

-d | - -dry-run
    Just shows the command-line call to start the database shell, but does not execute it.

-B file_prefix | - -write-dbeaver-config file_prefix
    Write DBeaver configuration files (the configuration file itself, as well as a credentials file) with the given file name prefix.

EXAMPLES

dbshell hipercontracer-importer.conf

dbshell hipercontracer-database.conf -q

dbshell hipercontracer-importer.conf -d

dbshell hipercontracer-database.conf --dry-run

dbshell hipercontracer-database.conf --dry-run -q -B dbeaver-config

AUTHORS
Thomas Dreibholz
https://www.nntb.no/~dreibh/hipercontracer
mailto://dreibh@simula.no